import request from '@/scripts/httpRequest'
import qs from "qs";


//初始化查询
export const getlstInit = (query: any) =>
  request({
    url: '/data/api-c/lkg/getlstA',
    method: 'get',
    params: query
  })
export const getlst = (query: any) =>
  request({
    url: '/data/api-c/lkg/getlstB',
    method: 'get',
    params: query
  })
export const getShuohuangDepartTree = () =>
  request({
    url: '/data/api-c/dept/getlstWithUser',
    method: 'get'
  })
export const getOrganizeTree = () =>
  request({
    url: '/data/api-c/dept/getlstWithOutUser',
    method: 'get'
  })

export const updateFollow = (data: any) =>
  request({
    url: '/data/api-c/lkg/updateFollow',
    method: 'post',
    data: qs.stringify(data)
  })
export const getRelatedVideoInfo = (query: any) =>
  request({
    url: '/data/api-c/lkg/getRelatedVideo',
    method: 'get',
    params: query
  })
export const getCarVideos = (query: any) =>
  request({
    url: '/data/api-c/lkg/getCarVideos',
    method: 'get',
    params: query
  })
export const getLabelMap = () =>
  request({
    url: '/data/api-c/lkg/getCode',
    method: 'get'
  })
export const delLabel = (data: any) =>
  request({
    url: '/data/api-c/lkg/delLable',
    method: 'post',
    data
  })
export const editLabel = (data: any) =>
  request({
    url: '/data/api-c/lkg/addLable',
    method: 'post',
    data
  })
export const getMemberList = (query: any) =>
  request({
    url: '/data/api-c/user/getlst',
    method: 'get',
    params: query
  })
export const updateUnit = (query: any) =>
  request({
    url: '/data/api-c/user/updateUnit',
    method: 'post',
    params: query
  })
export const addMember = (data: any) =>
  request({
    url: '/data/api-c/user/add',
    method: 'post',
    data
  })
export const updateMemberInfo = (data: any) =>
  request({
    url: '/data/api-c/user/update',
    method: 'post',
    data
  })
export const uploadMemberPic = (data: any) =>
  request({
    url: '/data/api-c/user/upload',
    method: 'post',
    data
  })
export const getMemberByOrg = (query: any) =>
  request({
    url: '/data/api-c/user/getUserByDeptID',
    method: 'get',
    params: query
  })
export const getVideoListBySearch = (query: any) =>
  request({
    url: '/data/api-c/lkg/getlstBySearch',
    method: 'get',
    params: query
  })
export const addToAssignList = (data: any) =>
  request({
    url: '/data/api-c/lkg/assignMission',
    method: 'post',
    data
  })
export const getTaskList = (query: any) =>
  request({
    url: '/data/api-c/lkg/getTaskList',
    method: 'get',
    params: query
  })
export const distributeTask = (data: any) =>
  request({
    url: '/data/api-c/lkg/assignMissionEnd',
    method: 'post',
    data
  })
export const cancelMission = (data: any) =>
  request({
    url: '/data/api-c/lkg/cancelMission',
    method: 'post',
    data
  })

export const cancelAssign = (data: any) =>
  request({
    url: '/data/api-c/lkg/cancelAssign',
    method: 'post',
    data
  })
export const uploadDirectory = (data: any) =>
  request({
    url: '/data/api-c/user/uploadMulti',
    method: 'post',
    data
  })

export const getTransferRecord = (query: any) => request({
  url: '/data/api-c/saverecord/getlst',
  method: 'get',
  params: query
})

export const getTransferStatusList = () => request({
  url: '/data/api-c/saverecord/getStatusList',
  method: 'get'
})
export const addDevice = (data: any) => request({
  url: '/data/api-c/device/add',
  method: 'post',
  data
})
export const getDeviceList = () => request({
  url: '/data/api-c/device/getlst',
  method: 'get'
})
export const getDeviceInfo = (data: any) => request({
  url: '/data/api-c/slot/getlst',
  method: 'post',
  data: data
})

export const uploadLKG = (data: any) =>
  request({
    url: '/data/api-c/lkg/uploadLKGExcel',
    method: 'post',
    data
  })

export const getLKGData = () =>
  request({
    url: '/data/api-c/lkg/getLKGData',
    method: 'get',
  })

export const delLKGData = (query: any) =>
  request({
    url: '/data/api-c/lkg/delLKGData',
    method: 'get',
    params: query
  })

export const getEventVideo = (query: any) => request({
  url: '/data/api-c/event/getEventClip',
  method: 'get',
  params: query
})

export const getVideoUrl = (query: any) => request({
  url: '/data/api-c/event/getEventVideo',
  method: 'get',
  params: query
})

export const downloadFile = () => request({
  url: '/data/api-c/user/downloadExcel',
  method: 'get',
  responseType: "blob"
})

export const getHiddenEventStatistics = (query: any) => request({
  url: '/data/api-c/index/getHiddenEventStatistics',
  method: 'get',
  params: query
})
